aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-fuse/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2014-03-04 23:03:25 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-03-11 07:33:01 +0000
commitd901093a78820fca2a232548dddeb6b08e27bf20 (patch)
tree3ab2990425e7862d3af9ee8e8e44723649900d7f /testing/py-fuse/APKBUILD
parent3b220e1ad48038c12fdf34cbcb22de55151e0e08 (diff)
downloadaports-d901093a78820fca2a232548dddeb6b08e27bf20.tar.gz
aports-d901093a78820fca2a232548dddeb6b08e27bf20.tar.bz2
aports-d901093a78820fca2a232548dddeb6b08e27bf20.tar.xz
testing/py-fuse: new aport
Python bindings for FUSE - filesystem in userspace http://sourceforge.net/apps/mediawiki/fuse/index.php?title=FusePython
Diffstat (limited to 'testing/py-fuse/APKBUILD')
-rw-r--r--testing/py-fuse/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/py-fuse/APKBUILD b/testing/py-fuse/APKBUILD
new file mode 100644
index 0000000000..d8eb266fbf
--- /dev/null
+++ b/testing/py-fuse/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-fuse
+pkgver=0.2.1
+pkgrel=0
+pkgdesc="Python bindings for FUSE - filesystem in userspace"
+url="http://sourceforge.net/apps/mediawiki/fuse/index.php?title=FusePython"
+arch="all"
+license="LGPL2+"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools fuse-dev"
+install=""
+subpackages=""
+source="http://downloads.sourceforge.net/fuse/fuse-python-$pkgver.tar.gz"
+
+_builddir="$srcdir"/fuse-python-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="9d9c5c2311ac04291ce822dfece108f8 fuse-python-0.2.1.tar.gz"
+sha256sums="11ead462f8d0f8302ee07b33fe93dc42c653861a16c8802a31903a7355b8351b fuse-python-0.2.1.tar.gz"
+sha512sums="f89c738352ca23e92b5c0222dde0a13bbee4d86432e9c339080203ed5bf4f885c42a0a3a252ed485f26b569d87e68dc0d78c55d8f7b2f3ce0cbac8afb251bdaa fuse-python-0.2.1.tar.gz"